% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/AllGenerics.R, R/predictSmooth.R
\name{predictSmooth}
\alias{predictSmooth}
\alias{predictSmooth,SingleCellExperiment-method}
\alias{predictSmooth,list-method}
\title{predictSmooth}
\usage{
predictSmooth(models, ...)

\S4method{predictSmooth}{SingleCellExperiment}(models, gene, nPoints = 100)

\S4method{predictSmooth}{list}(models, gene, nPoints = 100)
}
\arguments{
\item{models}{Either the \code{SingleCellExperiment} object obtained after
running \code{fitGAM}, or the specific GAM model for the corresponding gene,
if working with the list output of \code{tradeSeq}.}

\item{...}{parameters including:}

\item{gene}{Either a vector of gene names or an integer vector, corresponding
to the row(s) of the gene(s).}

\item{nPoints}{The number of points used to create the grid along the
smoother for each lineage. Defaults to 100.}
}
\value{
A \code{matrix} with estimated averages.
}
\description{
Get smoothers estimated by \code{tradeSeq} along a
grid. This function does not return fitted values but rather the predicted
mean smoother, for a user-defined grid of points.
}
\examples{
data(gamList, package = "tradeSeq")
predictSmooth(models = gamList, gene = 1)
}
